<?xml version="1.0" encoding="utf-8"?>
<FrameLayout android:background="#ff000000" android:padding="0.0dip" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_margin="0.0dip"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <com.view.XVideoView android:layout_gravity="center" android:id="@id/xcplayer" android:visibility="visible" android:layout_width="fill_parent" android:layout_height="fill_parent" />
    <com.view.IjkVideoView android:layout_gravity="center" android:id="@id/ijkplayer" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent" />
    <TextView android:textSize="@dimen/channel_name_size" android:textColor="#ff00ff00" android:layout_gravity="center" android:id="@id/tv_voluminfo" android:visibility="invisible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_margin="20.0sp" />
    <LinearLayout android:layout_gravity="bottom|center" android:orientation="horizontal" android:id="@id/ll_epg" android:background="@drawable/channelinfo_bg" android:paddingLeft="60.0dip" android:paddingTop="10.0dip" android:paddingRight="60.0dip" android:paddingBottom="10.0dip" android:visibility="invisible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginBottom="25.0dip">
        <LinearLayout android:orientation="vertical" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="3.0">
            <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="wrap_content">
                <TextView android:textColor="#ffffffff" android:id="@id/tv_channelnum" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="10.0dip" />
                <com.view.ScrollTextView android:textColor="#ffffffff" android:ellipsize="marquee" android:gravity="start" android:id="@id/tv_channelname" android:focusable="true" android:focusableInTouchMode="true" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="30.0dip" android:text="CCTV-1" android:singleLine="true" android:marqueeRepeatLimit="marquee_forever" />
            </LinearLayout>
            <LinearLayout android:gravity="start" android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_marginTop="5.0dip">
                <TextView android:textColor="#ffffffff" android:gravity="center" android:padding="5.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="设置" android:drawableLeft="@drawable/setting" />
                <TextView android:textColor="#ffffffff" android:gravity="center" android:padding="5.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="频道列表" android:drawableLeft="@drawable/channellist" />
                <TextView android:textColor="#ffffffff" android:gravity="start|center" android:id="@id/tv_srcinfo" android:padding="5.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="20.0dip" android:text="源1/1" />
            </LinearLayout>
        </LinearLayout>
        <LinearLayout android:orientation="vertical" android:id="@id/ll_epginfo" android:layout_width="0.0dip" android:layout_height="fill_parent" android:layout_marginLeft="30.0dip" android:layout_weight="2.0">
            <LinearLayout android:gravity="center_vertical" android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="0.0dip" android:layout_weight="1.0">
                <TextView android:textColor="#ffffffff" android:id="@id/tv_curepg_left" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="当前节目：" />
                <com.view.ScrollTextView android:textColor="#ffffffff" android:ellipsize="end" android:id="@id/tv_epgcurrent" android:focusable="true" android:focusableInTouchMode="true" android:layout_width="fill_parent" android:layout_height="wrap_content" android:text="精彩节目" android:singleLine="true" android:marqueeRepeatLimit="marquee_forever" />
            </LinearLayout>
            <LinearLayout android:gravity="center_vertical" android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="0.0dip" android:layout_weight="1.0">
                <TextView android:textColor="#ffffffff" android:id="@id/tv_nextepg_left" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="下个节目：" />
                <com.view.ScrollTextView android:textColor="#ffffffff" android:ellipsize="end" android:id="@id/tv_epgnext" android:focusable="true" android:focusableInTouchMode="true" android:layout_width="fill_parent" android:layout_height="wrap_content" android:text="下个节目：精彩节目" android:singleLine="true" android:marqueeRepeatLimit="marquee_forever" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
    <LinearLayout android:gravity="center" android:layout_gravity="center" android:orientation="vertical" android:id="@id/ll_loading" android:background="@drawable/buffering_view_bg" android:visibility="invisible" android:layout_width="wrap_content" android:layout_height="wrap_content">
        <TextView android:textSize="@dimen/channel_num_size" android:textColor="#ffffffff" android:layout_gravity="center" android:id="@id/tv_tipnetspeed" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="" />
        <com.view.XcProgressBar android:id="@id/pb_loading" android:visibility="visible" android:layout_width="200.0dip" android:layout_height="5.0dip" android:layout_margin="3.0dip" />
        <TextView android:textSize="@dimen/channel_num_size" android:textColor="#ffffffff" android:layout_gravity="center" android:id="@id/tv_tiploading" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="" />
    </LinearLayout>
    <LinearLayout android:layout_gravity="top" android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="wrap_content">
        <com.view.ScrollTextView android:textColor="#ffffffff" android:ellipsize="marquee" android:gravity="center" android:id="@id/tv_adtext" android:background="#55000000" android:padding="3.0sp" android:focusable="true" android:focusableInTouchMode="true" android:layout_width="fill_parent" android:layout_height="wrap_content" android:singleLine="true" android:marqueeRepeatLimit="marquee_forever" />
        <TextView android:textColor="#ff8ded34" android:layout_gravity="end|center|top" android:id="@id/tv_shownum" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_margin="20.0dip" />
    </LinearLayout>
    <TextView android:textColor="#ffffffff" android:layout_gravity="end|bottom|center" android:id="@id/tv_netspeedinfo" android:visibility="invisible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="20.0dip" android:layout_marginBottom="5.0dip" />
</FrameLayout>